{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "Dash_layout.html" %}
{% block content %}   

<link href="/static/dash/css/jquery.dataTables.min.css" rel="stylesheet" media="screen">

<script src="/static/dash/js/jquery-3.5.1.js"></script>

<script type="text/javascript">$(document).ready(function() {
    $('#example').DataTable( {
        "scrollX": true
    } );
} );</script>

<div class="page-wrapper">
    <div class="container-fluid">


            <h1>Templates </h1>
            <p>All templates messages on the system.</p><br>

            <a href="{{ url_for('dash.newtemp')}}" class="btn btn-dark"><i class="m-r-10 mdi mdi-open-in-new"></i> New Template</a>

            <center>
                {% if error %}
                <p class=error><strong>Error:</strong> {{ error }}
                {% endif %}
                <br>
                {% with messages = get_flashed_messages(with_categories=true) %}
                {% if messages %}
                <div class="alert alert-{{ messages.0.0 }}" role="alert">
                {% for category, message in messages %}
                {{ message }} </br>
                {% endfor %}
                *</div>
                {% endif %}
                {% endwith %}
                </center>
                <br>
                <table id="example" class="display" style="width:100%">
                    <thead>
                        <tr>
                            <th>Image</th>
                            <th>Title</th>
                            <th>Owner</th>
                            <th>Created at</th>
                            <th>Setting</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for tem in data.temps %}
                        <tr>
                            <td><img class="thumbnail img-responsive rounded-circle" width="100" height="100" src="{{tem.img}}"/></td>
                            <td>{{tem.title}}</td>
                            <td>{{tem.temp.username}}</td>
                            <td>{{tem.at.strftime('%A,%d,%Y || %H:%M')}}</td>
                            <td>
                          <a href="{{ url_for('dash.edittemps', templates_id=tem.id) }}" class="m-r-10 mdi mdi-credit-card-multiple label label-warning"></a>
                <a href="" class="m-r-10 mdi mdi-delete label label-danger" data-toggle="modal" data-target="#exampleModal" title="Delete Tutorial"></a>
                                
                                <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog">
                                      <div class="modal-content">
                                        <div class="modal-header">
                                          <h5 class="modal-title" id="exampleModalLabel"><i class=" mdi mdi-delete-forever"></i> Delete confirmation !</h5>
                                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                          </button>
                                        </div>
                                        <div class="modal-body">
                                         template will delete  :  <b style='color:red;'>{{tem.title}}.</b> forever .!
                                        </div>
                                        <div class="modal-footer">
                                          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                            <a class="btn btn-danger" href="{{ url_for('dash.deltemp', id=tem.id) }}"><i class=" mdi mdi-delete-forever"></i> Delete</a>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                  {% if tem.is_closed  %}
                                  <a href="" class="label label-danger label-rounded m-r-10 mdi mdi-close-box-outline" title="OFF template Now"></a>
                                  {% else %}
                                  <a href="" class="label label-primary label-rounded m-r-10 mdi mdi-book-open" title="ON template Now"></a>
                                  {% endif %}
                                </td>
                              </tr>
                                 {% endfor %}
                   
           
                    </tfoot>
                </table>




    </div>
</div>

{% endblock content %}